#include "mbed.h"
//#include "Pswitch.h"

Serial pc(USBTX, USBRX); // tx, rx

DigitalOut trig (p25);
DigitalIn  echo (p6);
DigitalOut led1 (LED1);
//Pswitch sw(p8);
double pulsedur, distance;
Timer tmr;

int main()
{
    pc.printf("start\n");
    while(1) {
        tmr.reset();
        trig = 1;
        wait_us(10);
        trig = 0;

        while (!echo); // wait high
        tmr.start();

        while (echo);  // wait low
        tmr.stop();

        pulsedur = tmr.read_us();
        distance = pulsedur*0.017; //cm
        pc.printf("pulsedur=%8.2f\n\r", distance);
         pc.printf("\n");
         if (distance<4)
         led1 =1;
         else
         led1 =0;
        wait(0.5);
    }
}
